/**
 * The options for adding an environment variable
 */
export type AddEnvOptions = {
    /** If true, the value will be escaped with quotes and spaces will be escaped with backslash */
    escapeSpace: boolean;
    /** If false, the variable will be only added if it is not already defined (Default to true) */
    overwrite: boolean;
    /**
     * The path to the RC file that the env variables should be added to.
     */
    rcPath: string;
    /** Provide a name (your tool) to add a variable guard for sourcing your rc file */
    guard?: string;
};
/**
 * Add an environment variable.
 *
 * This function is cross-platforms and works in all the local or CI systems.
 */
export declare function addEnv(name: string, valGiven: string | undefined, givenOptions?: Partial<AddEnvOptions>): Promise<void>;
